#pragma once

#include "Actor.h"

class GameMode {
public:
	auto startDestroyBlock(glm::ivec3, unsigned char, bool&) -> bool;
	auto destroyBlock(glm::ivec3, unsigned char) -> bool;
	auto stopDestroyBlock(glm::ivec3, unsigned char) -> void;
	auto buildBlock(glm::ivec3, unsigned char, bool) -> bool;
	auto attack(Actor&) -> bool;
	auto releaseUsingItem() -> void;
	auto getDestroyProgress() -> float;
	auto baseuseitem(ItemStack&) -> void;
	auto getDestroyRate(Block&) -> float;
};
